# Installation

This installation guide covers both <mark style="color:red;">ESX</mark> and <mark style="color:blue;">QBCore</mark> frameworks.

<table><thead><tr><th width="202">Resource</th><th>Source</th></tr></thead><tbody><tr><td>ox_lib</td><td><a href="https://github.com/overextended/ox_lib/releases">Download</a></td></tr><tr><td>object_gizmo</td><td><a href="https://github.com/Demigod916/object_gizmo/releases">Download</a></td></tr><tr><td>0r_lib</td><td>You can find it on your keymaster account. <mark style="color:red;">(It is delivered as Escrow.)</mark></td></tr><tr><td>qua_0r_house</td><td>You can find it on your keymaster account. <mark style="color:red;">(It is delivered as Escrow.)</mark></td></tr><tr><td>qua_luxemotel</td><td>You can find it on your keymaster account. <mark style="color:red;">(It is delivered as Escrow.)</mark></td></tr><tr><td>qua_house_garage</td><td>You can find it on your keymaster account. <mark style="color:red;">(It is delivered as Escrow.)</mark></td></tr></tbody></table>

### Target System

The system can work with <mark style="color:blue;">**ox\_target**</mark> and <mark style="color:red;">**qb-target**</mark> plugins. Or you can integrate it by making arrangements yourself.

### Supported Inventories

* ox\_inventory
* qb-inventory
* qs-inventory
* origen\_inventory
* codem\_inventory
* custom inventory

## SQL For House Script

Do not forget to execute the database.sql file !

## Server.cfg

The server.cfg initialization order should be as follows.

{% tabs %}
{% tab title="ESX" %}

```
start es_extended
start 0r_lib
start 0r-pixelhouse

start qua_0r_house
start qua_house_garage
--- esx resources --
```

{% endtab %}

{% tab title="QBCore" %}

```
start qb-core
start 0r_lib
start 0r-pixelhouse

start qua_0r_house
start qua_house_garage
--- qbcore resources --
```

{% endtab %}
{% endtabs %}

## Errors

<details>

<summary>ERROR: Unknown column `0resmon_ph_houses`.'type' in 'field list'</summary>

Please run this code block on the database:

```
ALTER TABLE `0resmon_ph_houses`
ADD COLUMN type VARCHAR(32) DEFAULT NULL;
```

</details>

<details>

<summary>ERROR: Check constraint `0resmon_ph_owned_houses`.'chk_type' is violated.</summary>

Please run this code block on the database:

```
ALTER TABLE `0resmon_ph_owned_houses`
DROP CONSTRAINT chk_type;
```

</details>

<details>

<summary>ERROR: Unknown column `0resmon_ph_houses`.'meta' in 'field list'</summary>

Please run this code block on the database:

```
ALTER TABLE `0resmon_ph_houses`
ADD COLUMN meta LONGTEXT DEFAULT "{}";
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0r-resources/0r-pixelhouse/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
